package _VisualDVM.GlobalData.User.UI;
import Common.MainModule_;
import Common.Visual.Windows.Dialog.DBObjectDialog;
import _VisualDVM.GlobalData.Machine.Machine;
import _VisualDVM.GlobalData.Machine.MachineType;
import _VisualDVM.GlobalData.User.User;
import _VisualDVM.GlobalData.User.UserAuthentication;
public class UserDialog extends DBObjectDialog<User, UserFields> {
    public UserDialog() {
        super(UserFields.class);
    }
    @Override
    public void SetEditLimits() {
        fields.tfLogin.setEditable(false);
    }
    @Override
    public void fillFields() {
        if (MainModule_.instance.getDb().getTable(Machine.class).getUI().getCurrent().type.equals(MachineType.Local)) {
            Result.login = "этот пользователь";
            fields.tfLogin.setEditable(false);
        }
        fields.tfLogin.setText(Result.login);
        fields.tfPassword.setText(Result.password);
        fields.tfWorkspace.setText(Result.workspace);
    }
    @Override
    public void validateFields() {
        if (fields.tfLogin.getText().isEmpty())
            Log.Writeln_("Логин пользователя не может быть пустым");
    }
    @Override
    public void ProcessResult() {
        Result.machine_id = MainModule_.instance.getDb().getTable(Machine.class).getUI().getCurrent().id;
        Result.login = fields.tfLogin.getText();
        Result.authentication = UserAuthentication.password;
        Result.password = new String(fields.tfPassword.getPassword());
    }
    @Override
    public int getDefaultWidth() {
        return 600;
    }
    @Override
    public int getDefaultHeight() {
        return 400;
    }
}
